Subject: bug#20887: closed (Re: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Jun 2015 02:49:02 +0000

Your bug report

#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20887: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20887
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Artur Malabarba <[email-masked]>
Date: Wed, 24 Jun 2015 19:48:14 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:
> No, because I do a proper bootstrap. Accept no imitations!:)
> There are no "stale" messages in such a build, and the isearch slowness
> only happens once.

OK.  Still, running this from a fresh checkout:

./autogen.sh
./configure
make

also exhibited the "stale" messages and the extreme slowdown.  So the problem 
wasn't limited to my rm hack (which I do, by the way, because it's ordinarily 
much faster than "make bootstrap").

Anyway, the performance bug seems to be fixed now -- thanks! -- so I'm marking 
this as done.

Subject: 'make bootstrap' now verrrry slow due to recent isearch changes
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Artur Malabarba <[email-masked]>
Date: Tue, 23 Jun 2015 18:35:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run 'make bootstrap' now it's veerrrrry slow, hanging after this output:

...
Reloading stale subr-x.el
Loading /home/eggert/src/gnu/emacs/tmn/lisp/emacs-lisp/subr-x.el (source)...
Reloading stale isearch.el
Loading /home/eggert/src/gnu/emacs/tmn/lisp/isearch.el (source)...

It pauses for a loooongg time here (minutes) and then finally continues.  It has 
to do this many times during 'make bootstrap', so 'make bootstrap' is now 
realllly slooooow.

This is no doubt due to commit c7a19e0c80ec6134ab6fb1950d3e1ac59a7b986f, 
recently installed in the master, so I'm CC'ing Artur Malabarba.